# $Revision: 1.20 $, $Date: 2012/05/22 05:25:03 $
Summary:	X.org video driver for VIA Unichrome graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów zintegrowanych VIA Unichrome
Name:		xorg-driver-video-openchrome
Version:	0.2.906
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-openchrome-%{version}.tar.bz2
# Source0-md5:	244507baf1900f1e923604c4a0f05925
URL:		http://www.openchrome.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXvMC-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-libdri >= 1.0.99.901
Requires:	xorg-xserver-libglx >= 1.0.99.901
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-via < 1:7.0.0
Obsoletes:	XFree86-driver-via < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for VIA chipsets with integrated Unichrome graphics
engine.

It supports the following VIA chipsets:
- CLE266 (VT3122),
- CN400, CN700,
- KM400/KN400/P4M800 (VT3205),
- K8M800/K8N800 (VT3204),
- PM800/PM880/PN800/CN400 (VT3259),
- VM800/VN800/CN700/P4M800Pro (VT3314),
- CX700 (VT3324),
- P4M890 (VT3327),
- K8M890/K8N890 (VT3336),
- P4M900/CN896/VN896 (VT3364),
- VX800 (VT3353),
- VX855 (VT3409),
- VX900 (VT3410).

%description -l pl.UTF-8
Sterownik obrazu X.org do układów VIA ze zintegrowanym silnikiem
graficznym Unichrome.

Obsługuje układy VIA:
- CLE266 (VT3122),
- CN400, CN700,
- KM400/KN400/P4M800 (VT3205),
- K8M800/K8N800 (VT3204),
- PM800/PM880/PN800/CN400 (VT3259),
- VM800/VN800/CN700/P4M800Pro (VT3314),
- CX700 (VT3324),
- P4M890 (VT3327),
- K8M890/K8N890 (VT3336),
- P4M900/CN896/VN896 (VT3364),
- VX800 (VT3353),
- VX855 (VT3409),
- VX900 (VT3410).

%prep
%setup -q -n xf86-video-openchrome-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/libchromeXvMC*.{la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/openchrome_drv.so
%ifarch %{ix86} %{x8664}
%attr(755,root,root) %{_libdir}/libchromeXvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchromeXvMC.so.1
%attr(755,root,root) %{_libdir}/libchromeXvMCPro.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchromeXvMCPro.so.1
%endif
%{_mandir}/man4/openchrome.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-openchrome.spec,v $
Revision 1.20  2012/05/22 05:25:03  qboosh
- updated to 0.2.906

Revision 1.19  2012/03/05 06:25:30  arekm
- release 2

Revision 1.18  2012/02/14 16:01:59  qboosh
- updated to 0.2.905

Revision 1.17  2011/08/27 09:02:38  arekm
- release 3

Revision 1.16  2011/08/25 20:18:26  glen
- xorg-driver-video virtual for video drivers
- release 2

Revision 1.15  2011/04/10 12:56:56  adamg
- updated to rev 918

Revision 1.14  2011/03/13 13:45:43  qboosh
- added VX900 to hardware list

Revision 1.13  2011/03/13 10:40:12  arekm
- up to rev 916

Revision 1.12  2010/11/10 20:01:19  shadzik
- rel .3

Revision 1.11  2010/08/29 12:04:08  qboosh
- more docs, updated hardware list
- updated deps

Revision 1.10  2010/05/03 23:38:25  pawelz
- rel 2

Revision 1.9  2010/02/16 11:55:27  pawelz
- up to svn revision 812
  last released version (0.2.904) does not build with xorg 1.7, while this svn
  snapshot builds. Ubuntu uses this revision too.

Revision 1.8  2009/12/25 20:11:19  witekfl
- up to 0.2.904
- add BR

Revision 1.7  2009/10/02 08:28:29  arekm
- release 4

Revision 1.6  2009/02/25 21:06:13  arekm
- release 3

Revision 1.5  2008/12/27 09:18:57  qboosh
- R: xorg libdri,libglx

Revision 1.4  2008/08/30 16:33:59  arekm
- release 2

Revision 1.3  2008/08/26 06:27:05  qboosh
- updated to 0.2.903
- removed obsolete id patch

Revision 1.2  2008/07/01 16:09:55  arekm
- release 2

Revision 1.1  2007-11-30 23:45:14  adamg
- new
